#!/bin/bash

#================
#tytuł		:skrypt-epity.sh
#opis		:Skrypt do instalacji programu e-pity dla systemu Linux - Ubuntu/Debian.
#autor		:Massta || based on script by Nolt
#data		:20160901
#aktualizacja	:20171115
#wersja		:3.0
#licencja:	:Eclipse Public License 1.0 (https://opensource.org/licenses/eclipse-1.0.txt)
#================

echo "--- Rozpoczynam instalację ---"
sleep 1
echo "--- Do poprawnego uruchomienia aplikacji e-pity, muszę utworzyć folder e-pity w katalogu domowym oraz pobrać brakujące paczki dla Twojej architektury systemu. ---"
sleep 5


echo "--- Tworzę wymagany folder e-pity! ---"
	if [ -d ~/e-pity ] ; then
echo "--- Folder e-pity jest już założony ---"
sleep 2
	else
echo "--- Tworzę folder e-pity w katalogu domowym ---"
mkdir ~/e-pity
	fi

sleep 2

#pobieranie adobeair
echo "Czy pobrać plik instalacyjny AdobeAIR? Jest on wymagany do poprawnego działania programu epity.(t/n)"
read -e -p "" -i "t" t
	if [ -e ~/e-pity/AdobeAIRInstaller.bin ] ; then
echo "--- Nie pobieram pliku, jest już pobrany ---"
sleep 2
		elif [ "$t" = "t" ] ; then
echo "--- Pobieram plik AdobeAIR! ---"
sleep 3
cd ~/e-pity/ && wget http://airdownload.adobe.com/air/lin/download/latest/AdobeAIRInstaller.bin
chmod +x AdobeAIRInstaller.bin
	else
echo "--- Nie pobieram pliku, jest już pobrany ---"
	fi

sleep 2


#pobieranie e-pity
echo "Czy pobrać plik instalacyjny programu e-pity? Jest on wymagany do poprawnego działania programu e-pity.(t/n)"
read -e -p "" -i "t" t
	if [ "$t" = "t" ] ; then
echo "--- Pobieram instalator aplikacji e-pity! ---"
sleep 3
cd ~/e-pity/ && wget http://download.e-pity.pl/down/setup_e-pity2017Linux.air
chmod +x setup_e-pity2017Linux.air
	else
echo "--- Nie pobieram gdyż plik jest już pobrany! ---"
	fi

sleep 2


#sprawdzanie dystrybucji i architektury
echo "Sprawdzimy jaką dystrybucję oraz architekturę systemu Linux posiadasz (obsługiwane Debian i Ubuntu)"

distro=$(lsb_release -si)
bit=$(uname -m)

	if [ "$distro" = "Debian" ] ; then

		if [ "$bit" = "x86_64" ] ; then

echo "Debian x86_64"

sudo dpkg --add-architecture i386 && sudo apt-get update && sudo apt-get install -y libxt6:i386 libnspr4-0d:i386 libgtk2.0-0:i386 libstdc++6:i386 libnss3-1d:i386 lib32nss-mdns libxml2:i386 libxslt1.1:i386 libcanberra-gtk-module:i386 gtk2-engines-murrine:i386 libgnome-keyring0:i386 libxaw7
sudo ln -sf /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0 && sudo ln -sf /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0

		else

echo "Debian i686"

sudo apt-get install -y libgtk2.0-0 libxslt1.1 libxml2 libnss3 libxaw7 libgnome-keyring0
sudo ln -sf /usr/lib/i386-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0 && sudo ln -sf /usr/lib/i386-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0

		fi

	elif [ "$distro" = "Ubuntu" ] ; then

		if [ "$bit" = "x86_64" ] ; then

echo "Ubuntu x86_64"


sudo apt-get install -y lib32nss-mdns

sudo apt-get install -y libxt6:i386 libnspr4-0d:i386 libgtk2.0-0:i386 libstdc++6:i386 libnss3-1d:i386 libxml2:i386 libxslt1.1:i386 libcanberra-gtk-module:i386 gtk2-engines-murrine:i386 libgnome-keyring0:i386 libxaw7
sudo ln -sf /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0 && sudo ln -sf /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0

		else

echo "Ubuntu i686"

sudo apt-get install -y libgtk2.0-0 libxslt1.1 libxml2 libnss3 libxaw7 libgnome-keyring0
sudo ln -sf /usr/lib/i386-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0 && sudo ln -sf /usr/lib/i386-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0
		fi
	fi

sleep 2


#instalacja
echo "Będę instalował pobrane aplikacje! Proszę czekać... Nie zamykaj okna terminala!"
cd ~/e-pity/
sudo ./AdobeAIRInstaller.bin
xdg-open ~/e-pity/setup_e-pity2017Linux.air

echo "Finalizowanie instalacji..."

sleep 5

#finalizowanie
echo "--- Folder z plikami instalacyjnymi nie jest już potrzebny, mogę go usunąć za Ciebie :) (t/n)? ---"

read -e -p "" -i "t" t

	if [ "$t" = "t" ] ; then
rm -fr ~/e-pity
echo "--- Usuwam... ---"
echo "--- Dziękuję i do zobaczenia ---"
sleep 2
		elif [ "$t" = "n" ] ; then
echo "--- Nie usuwam! ---"
echo "--- Dziękuję i do zobaczenia ---"
sleep 3
	fi

sleep 2

echo "--- Gratulacje, wszystko poszło pięknie i gładko. ---"

exit
